#include <windows.h>

LRESULT CALLBACK MainWndProc(HWND, UINT, WPARAM, LPARAM);
BOOL CALLBACK DialogProc(HWND, UINT, WPARAM, LPARAM);

const char ProgName[] = "TheProg";
const char ClassName[] = "MainWind";

HINSTANCE g_hInst;

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInst, LPSTR lpszArgs,
                    int nWinMode)
{
HWND hWnd;
MSG msg;
WNDCLASS wcl;

g_hInst = hInstance;

wcl.hInstance       = hInstance;
wcl.lpszClassName   = ClassName;
wcl.lpfnWndProc     = MainWndProc;
wcl.style           = 0;
wcl.hIcon           = LoadIcon(NULL, IDI_APPLICATION);
wcl.hCursor         = LoadCursor(NULL, IDC_ARROW);
wcl.lpszMenuName    = NULL;
wcl.cbClsExtra      = 0;
wcl.cbWndExtra      = 0;
wcl.hbrBackground   = (HBRUSH)GetStockObject(LTGRAY_BRUSH);

if(!RegisterClass (&wcl))
    return 0;

hWnd = CreateWindow(ClassName, ProgName, WS_OVERLAPPEDWINDOW, CW_USEDEFAULT,
                    CW_USEDEFAULT, CW_USEDEFAULT, CW_USEDEFAULT, HWND_DESKTOP,
                    NULL, hInstance, NULL);

ShowWindow(hWnd, nWinMode);
UpdateWindow(hWnd);

while(GetMessage(&msg, NULL, 0, 0))
{
    TranslateMessage(&msg);
    DispatchMessage(&msg);
}
return msg.wParam;
}

LRESULT CALLBACK MainWndProc(HWND hWnd, UINT message, WPARAM wParam,
                             LPARAM lParam)
{
switch(message)
{
	case WM_CREATE:
		DialogBox(g_hInst, "Dialog1", hWnd, DialogProc);
		DialogBox(g_hInst, "Dialog2", hWnd, DialogProc);
	case WM_DESTROY:
		PostQuitMessage(0);
		break;
	default:
        return DefWindowProc(hWnd, message, wParam, lParam);
}
return 0;
}

BOOL CALLBACK DialogProc(HWND hwndDlg, UINT message, WPARAM wParam, LPARAM lParam)
{
switch(message)
{
	case WM_COMMAND:
		switch(LOWORD(wParam))
		{
			case IDOK:
				EndDialog(hwndDlg, 1);
				return TRUE;
		}
		break;
}
return FALSE;
}